diff options
author | Denys Vlasenko <vda.linux@googlemail.com> | 2011-10-31 01:08:35 +0100 |
---|---|---|
committer | Denys Vlasenko <vda.linux@googlemail.com> | 2011-10-31 01:08:35 +0100 |
commit | c0e37b4340da35d7d24720c55290a3efd3d78f11 (patch) | |
tree | f35369daf4dbcdf8144506ccab73fd5cde81acab | |
parent | c531b9a3e4a90fd7c91c78a6991e30bfe0134f34 (diff) | |
download | busybox-w32-c0e37b4340da35d7d24720c55290a3efd3d78f11.tar.gz busybox-w32-c0e37b4340da35d7d24720c55290a3efd3d78f11.tar.bz2 busybox-w32-c0e37b4340da35d7d24720c55290a3efd3d78f11.zip |
testsuite: fix the mishap in the previous commit
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
-rwxr-xr-x | testsuite/bzcat.tests | 80 | ||||
-rwxr-xr-x | testsuite/bzcat2.tests | 28 | ||||
-rw-r--r--[-rwxr-xr-x] | testsuite/ls.mk_uni_tests | 0 |
3 files changed, 81 insertions, 27 deletions
diff --git a/testsuite/bzcat.tests b/testsuite/bzcat.tests index c1d384464..5b4f3f4b3 100755 --- a/testsuite/bzcat.tests +++ b/testsuite/bzcat.tests | |||
@@ -1,28 +1,54 @@ | |||
1 | #!/bin/sh | 1 | #!/bin/sh |
2 | # Copyright 2011 by Denys Vlasenko | 2 | |
3 | # Licensed under GPLv2, see file LICENSE in this source tree. | 3 | FAILCOUNT=0 |
4 | 4 | ||
5 | . ./testing.sh | 5 | ext=bz2 |
6 | 6 | ||
7 | # testing "test name" "command" "expected result" "file input" "stdin" | 7 | bb="busybox " |
8 | 8 | ||
9 | # "input" file is bzipped file with "a\n" data | 9 | unset LC_ALL |
10 | testing "bzcat can print many files" \ | 10 | unset LC_MESSAGES |
11 | "$ECHO -ne '$hexdump' | bzcat input input; echo \$?" \ | 11 | unset LANG |
12 | "\ | 12 | unset LANGUAGE |
13 | a | 13 | |
14 | a | 14 | hello_gz() { |
15 | 0 | 15 | # Gzipped "HELLO\n" |
16 | " "\ | 16 | #_________________________ vvv vvv vvv vvv - mtime |
17 | \x42\x5a\x68\x39\x31\x41\x59\x26\x53\x59\x63\x3e\xd6\xe2\x00\x00\ | 17 | $ECHO -ne "\x1f\x8b\x08\x00\x85\x1d\xef\x45\x02\x03\xf3\x70\xf5\xf1\xf1\xe7" |
18 | \x00\xc1\x00\x00\x10\x20\x00\x20\x00\x21\x00\x82\xb1\x77\x24\x53\ | 18 | $ECHO -ne "\x02\x00\x6e\xd7\xac\xfd\x06\x00\x00\x00" |
19 | \x85\x09\x06\x33\xed\x6e\x20\ | 19 | } |
20 | " "" | 20 | |
21 | 21 | hello_bz2() { | |
22 | # "input" file is bzipped zero byte file | 22 | # Bzipped "HELLO\n" |
23 | testing "bzcat can handle compressed zero-length bzip2 files" \ | 23 | $ECHO -ne "\x42\x5a\x68\x39\x31\x41\x59\x26\x53\x59\x5b\xb8\xe8\xa3\x00\x00" |
24 | "$ECHO -ne '$hexdump' | bzcat input input; echo \$?" \ | 24 | $ECHO -ne "\x01\x44\x00\x00\x10\x02\x44\xa0\x00\x30\xcd\x00\xc3\x46\x29\x97" |
25 | "0\n" \ | 25 | $ECHO -ne "\x17\x72\x45\x38\x50\x90\x5b\xb8\xe8\xa3" |
26 | "\x42\x5a\x68\x39\x17\x72\x45\x38\x50\x90\x00\x00\x00\x00" "" | 26 | } |
27 | 27 | ||
28 | exit $FAILCOUNT | 28 | prep() { |
29 | rm -f t* | ||
30 | hello_$ext >t1.$ext | ||
31 | hello_$ext >t2.$ext | ||
32 | } | ||
33 | |||
34 | check() { | ||
35 | eval $2 >t_actual 2>&1 | ||
36 | if $ECHO -ne "$expected" | cmp - t_actual; then | ||
37 | echo "PASS: $1" | ||
38 | else | ||
39 | echo "FAIL: $1" | ||
40 | FAILCOUNT=$((FAILCOUNT + 1)) | ||
41 | fi | ||
42 | } | ||
43 | |||
44 | mkdir testdir 2>/dev/null | ||
45 | ( | ||
46 | cd testdir || { echo "cannot cd testdir!"; exit 1; } | ||
47 | |||
48 | expected="HELLO\nok\n" | ||
49 | prep; check "bzcat: dont delete src" "${bb}bzcat t2.bz2; test -f t2.bz2 && echo ok" | ||
50 | |||
51 | ) | ||
52 | rm -rf testdir | ||
53 | |||
54 | exit $((FAILCOUNT <= 255 ? FAILCOUNT : 255)) | ||
diff --git a/testsuite/bzcat2.tests b/testsuite/bzcat2.tests new file mode 100755 index 000000000..c1d384464 --- /dev/null +++ b/testsuite/bzcat2.tests | |||
@@ -0,0 +1,28 @@ | |||
1 | #!/bin/sh | ||
2 | # Copyright 2011 by Denys Vlasenko | ||
3 | # Licensed under GPLv2, see file LICENSE in this source tree. | ||
4 | |||
5 | . ./testing.sh | ||
6 | |||
7 | # testing "test name" "command" "expected result" "file input" "stdin" | ||
8 | |||
9 | # "input" file is bzipped file with "a\n" data | ||
10 | testing "bzcat can print many files" \ | ||
11 | "$ECHO -ne '$hexdump' | bzcat input input; echo \$?" \ | ||
12 | "\ | ||
13 | a | ||
14 | a | ||
15 | 0 | ||
16 | " "\ | ||
17 | \x42\x5a\x68\x39\x31\x41\x59\x26\x53\x59\x63\x3e\xd6\xe2\x00\x00\ | ||
18 | \x00\xc1\x00\x00\x10\x20\x00\x20\x00\x21\x00\x82\xb1\x77\x24\x53\ | ||
19 | \x85\x09\x06\x33\xed\x6e\x20\ | ||
20 | " "" | ||
21 | |||
22 | # "input" file is bzipped zero byte file | ||
23 | testing "bzcat can handle compressed zero-length bzip2 files" \ | ||
24 | "$ECHO -ne '$hexdump' | bzcat input input; echo \$?" \ | ||
25 | "0\n" \ | ||
26 | "\x42\x5a\x68\x39\x17\x72\x45\x38\x50\x90\x00\x00\x00\x00" "" | ||
27 | |||
28 | exit $FAILCOUNT | ||
diff --git a/testsuite/ls.mk_uni_tests b/testsuite/ls.mk_uni_tests index da0c29f29..da0c29f29 100755..100644 --- a/testsuite/ls.mk_uni_tests +++ b/testsuite/ls.mk_uni_tests | |||